//
//  SimpleTwitterClientViewController.h
//  SimpleTwitterClient
//
//  Created by Chris Adamson on 4/17/09.
//  Copyright Subsequently and Furthermore, Inc. 2009. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "JSON/JSON.h"

@interface SimpleTwitterClientViewController : UIViewController {
	UITextView *tweetsView;
	UITextField *screenName;
	UIActivityIndicatorView *activityIndicator;

	NSMutableData *tweetsData;
//START:code.SimpleTwitterClientViewController.parsingheaders
	NSMutableString *tweetsString;
	NSMutableDictionary *currentTweetDict;
	NSString *currentElementName;
	NSMutableString *currentText;
//END:code.SimpleTwitterClientViewController.parsingheaders
	NSSet* interestingTags;
}

@property (nonatomic, retain) IBOutlet UITextView *tweetsView;
@property (nonatomic, retain) IBOutlet UITextField *screenName;
@property (nonatomic, retain) IBOutlet UIActivityIndicatorView *activityIndicator;

-(IBAction) updateTweets;

@end

